const state = {
  centerData: []
}

const mutations = {
  CHANGE_CLOUD_CENTER: (state, value) => {
    state.centerData = value
  }
}

const actions = {
  changeCloudCenter({ commit }) {
    request({
      url: '/tcloudservicecenters/listTcloudservicecenter',
      method: 'get'
    }).then((res) => {
      if (res.success) {
        commit('CHANGE_CLOUD_CENTER', res.data)
      }
    })
  }
}

import request from '@/utils/request'

export default {
  state,
  mutations,
  actions
}
